org.keycloak.models

## Class RequiredActionProviderModel.RequiredActionComparator

- java.lang.Object
- - org.keycloak.models.RequiredActionProviderModel.RequiredActionComparator

- All Implemented Interfaces:
    Comparator<RequiredActionProviderModel>
  Enclosing class:
    RequiredActionProviderModel

      public static class RequiredActionProviderModel.RequiredActionComparator
      extends Object
      implements Comparator<RequiredActionProviderModel>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RequiredActionProviderModel.RequiredActionComparator` | `SINGLETON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequiredActionComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(RequiredActionProviderModel o1, RequiredActionProviderModel o2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### SINGLETON

          public static final RequiredActionProviderModel.RequiredActionComparator SINGLETON

  - ### Constructor Detail

    - #### RequiredActionComparator

          public RequiredActionComparator()

  - ### Method Detail

    - #### compare

          public int compare(RequiredActionProviderModel o1,
                             RequiredActionProviderModel o2)

      Specified by:
        `compare` in interface `Comparator<RequiredActionProviderModel>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.